require 'spec_helper'

describe Listener do
  before :each do
    File.new( 'fun.txt', 'w+' )
    @classroom = double(Classroom)
    @classroom.stub(:get_file_name) { 'fun.txt' }
    @classroom.stub(:get_dir) { Dir.pwd }
    @classroom.stub(:update) { puts "file changed" }
    @view = double(View)
    @listener = Listener.new(@classroom)
    @listener.stub(:sleep) { sleep(3) }
  end

  after :each do
    File.delete('fun.txt')
  end

  it "instatiates a new instance" do
    expect( @listener).to_not eq(nil)
  end

  it "calls update on the classroom on file change" do
    @listener.start
    File.open('fun.txt', 'w+') { |f| f.write("test text") }
  end
end